Bug 1253800 - Users in external group removed, users remain in Foreman. [NEEDINFO]
Users in external group removed, users remain in Foreman.
Status: CLOSED NOTABUG
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles (Show other bugs)
6.1.0
x86_64 Linux
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
http://projects.theforeman.org/issues...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 14:04 EDT by James
Modified: 2016-04-22 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 20:53:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bkearney: needinfo? (jwest)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12296 None None None 2016-04-22 11:35 EDT

  None (edit)
Description James 2015-08-14 14:04:12 EDT
Description of problem:
External group in Foreman linked to LDAP.  Refresh button populates group members as expected.  Remove all users from group in LDAP, refresh button has comes back with: "Group does not have any members" as expected.  However the previous user account still exists in that group even though they are no longer in said group in LDAP.


Version-Release number of selected component (if applicable):

Red Hat Satellite
Version 6.1.1 © 2014 Red Hat Inc.
Includes Foreman © 2009-2015 Paul Kelly and Ohad Levy


How reproducible: 100%


Steps to Reproduce:
1. Create user group in Satellite Server
2. Link it to external LDAP group
3. Refresh the LDAP Satellite group
4. Note members of group post refresh
5. Remove all group members in LDAP
6. Refresh the LDAP Satellite group
7. View the user group members

Actual results:
Members no longer in the LDAP group remain in Satellite user group.

Expected results:
Members no longer in the LDAP group should be removed from Satellite user group.

Additional info:
I am using an old Sun LDAP for this test.  Have not tried to reproduce on AD or OpenLDAP.
Comment 1 Bryan Kearney 2015-10-23 11:39:45 EDT
Created redmine issue http://projects.theforeman.org/issues/12296 from this bug
Comment 2 Bryan Kearney 2015-10-28 15:27:16 EDT
Can you provide debug logs (with LDAP enabled)? http://theforeman.org/manuals/latest/index.html#7.2Debugging

ldapsearch output of the groups would be useful too.
Comment 3 Bryan Kearney 2016-02-17 20:53:05 EST
From email:

You can close mine (or I will?).  The LDAP server I was testing with is no longer available...   I cannot replicate on other (more modern/non-SUN) LDAP servers...  

-James

Note You need to log in before you can comment on or make changes to this bug.